import _ListCache_default from "./_ListCache.js";
import _Map_default from "./_Map.js";
import _MapCache_default from "./_MapCache.js";
var LARGE_ARRAY_SIZE = 200;
function stackSet(i, a) {
	var o = this.__data__;
	if (o instanceof _ListCache_default) {
		var s = o.__data__;
		if (!_Map_default || s.length < LARGE_ARRAY_SIZE - 1) return s.push([i, a]), this.size = ++o.size, this;
		o = this.__data__ = new _MapCache_default(s);
	}
	return o.set(i, a), this.size = o.size, this;
}
var _stackSet_default = stackSet;
export { _stackSet_default as default };
